summaryrefslogtreecommitdiffstats
path: root/bin/reserved-but-public
diff options
context:
space:
mode:
authorRaphael Geissert <atomo64@gmail.com>2014-03-25 09:27:57 +0000
committerRaphael Geissert <atomo64@gmail.com>2014-03-25 09:27:57 +0000
commit234fce86818eaec9850965c0aeea30520af03de7 (patch)
treefe11270ab1ad6d51e3a91cd64b7ea72dcb0b7356 /bin/reserved-but-public
parent68b9243b6c4f7b7eec175f34d5cafe5c7d4209c9 (diff)
Script to list REJECTED ids that have information
Actually, it's just a modification to reserved-but-public git-svn-id: svn+ssh://svn.debian.org/svn/secure-testing@26237 e39458fd-73e7-0310-bf30-c45bca0a0e42
Diffstat (limited to 'bin/reserved-but-public')
-rwxr-xr-xbin/reserved-but-public22
1 files changed, 16 insertions, 6 deletions
diff --git a/bin/reserved-but-public b/bin/reserved-but-public
index 20f04619fb..fc4358d06d 100755
--- a/bin/reserved-but-public
+++ b/bin/reserved-but-public
@@ -38,26 +38,36 @@ if [ -n "${1:-}" ]; then
regex="${1:-}"
fi
-reserved=false
+condition=RESERVED
+case "$(basename "$0")" in
+ reserved-*)
+ condition=RESERVED
+ ;;
+ rejected-*)
+ condition=REJECTED
+ ;;
+esac
+
+condition_seen=false
wanted=false
cve=
while read line; do
case $line in
CVE-$regex)
cve="$line"
- reserved=false
+ condition_seen=false
wanted=true
;;
CVE-*)
cve="$line"
- reserved=false
+ condition_seen=false
wanted=false
;;
- *RESERVED)
- reserved=true
+ *$condition)
+ condition_seen=true
;;
*)
- if ! $reserved || ! $wanted; then
+ if ! $condition_seen || ! $wanted; then
continue
fi
if [ "$cve" ]; then

© 2014-2024 Faster IT GmbH | imprint | privacy policy